package com.ruoyi.interfaces.enums;

/**
 * 获取 Token 异常
 *
 * @author ruoyi
 */
public enum TokenError {
    BUSY(-1, "The system is busy, please try again later"),
    APPID_ERR(40000, "invalid appId"),
    APPSECRET_ERR(40001, "invalid secret"),
    GRANT_TYPE_ERR(40002, "invalid grant_type");

    private final int code;
    private final String info;

    TokenError(int code, String info) {
        this.code = code;
        this.info = info;
    }

    public int getCode() {
        return code;
    }

    public String getInfo() {
        return info;
    }
}
